from flask import Flask, render_template, redirect
import os
from datetime import datetime
import random

app = Flask(__name__)

greetings = [
    "Hey there,",
    "Whas poppin my g,",
    "Hi,",
    "Hiya,",
    "Henlo,",
    "H,"
]
@app.route('/')
def index():
    day_seeded_random = random.Random()
    day_seeded_random.seed(str(datetime.today().date()))

    moods = os.listdir('static/moodboard')
    todays_mood = day_seeded_random.choice(moods)

    random_greeting = random.choice(greetings) if random.random() < 0.95 else "owo what's this?"
    return render_template('index.html', mood = todays_mood, greet = random_greeting)

@app.errorhandler(404)
def page_not_found(e):
    return render_template('error.html', rudeerror = "...nani?", error = "Page not found.", mood = "404.jpg"), 404

@app.errorhandler(500)
def internal_error(e):
    return render_template('error.html', rudeerror = "I managed to screw up the home page", error = "Internal Server Error", mood = "500.jpg"), 500

if __name__ == "__main__":
    app.run()
